### Property

# Handy Avatar:icon-name

since: 1.0

#### Declaration

    property icon-name: utf8 [ read, write ]

#### Description [src]

The name of an icon to use as a fallback.

If no name is set, the avatar-default-symbolic icon will be used. If the name doesn’t match a valid icon, it is an error and no icon will be displayed. If the icon theme is changed, the image will be updated automatically.

Type: | `gchar*`
Available since: | 1.0

Default value | NULL
Getter method | `hdy_avatar_get_icon_name()`
Setter method | `hdy_avatar_set_icon_name()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no